'***************************
'DLS.Call
'***************************
'This function calls DLSes
'with the DLS.DAT file
'already loaded and ready.
'
' DLS$ = The DLS file.

DECLARE SUB DLS.Call (DLS$)

'***************************
'DLS.Reset
'***************************
'This function resets the
'DLS.DAT file before the
'next DLS is called.

DECLARE SUB DLS.Reset ()

'***************************
'DLS.Font
'***************************
'This routine puts text on
'the screen using a font
'from M-OS.
'[SINCE THIS IS A PREVIEW,
' ONLY THE "SSERIF.FON" FONT
' IS AVAILABLE]
'
' fontfile$ = The name of
'             the font w/o
'             its path.
' x% = The X position of
'      where the text will
'      be placed.
' y% = The Y position of
'      where the text will
'      be placed.
' text$ = The text that will
'         be displayed on
'         the screen.
' colr% = The color of the
'         text as indicated
'         by a number (0-15)
' style% = The style that
'          the text will be
'          put.
'          (0 = Normal)
'          (1 = Bold)
'          (2 = Italics)
'          (3 = Bold & Ital)

DECLARE SUB DLS.Font (fontfile$, x%, y%, text$, colr%, style%)

'***************************
'DLS Wave
'***************************
'This function plays a WAV
'file that is 22050 KHz and
'8-Bit Mono.
'
' wavefile$ = The name of
'             the WAV file.

DECLARE SUB DLS.Wave (wavefile$)

'***************************
'DLS.Bitmap
'***************************
'Displays a 16-color BMP at
'a specified position.
'
' file$ = The BMP file.
' x% = The X position.
' y% = The Y position.

DECLARE SUB DLS.Bitmap (file$, x%, y%)

'***************************
'DLS.FileCopy
'***************************
'Displays a file copy dialog
'while reading and copying a
'specified file.
'
' file$ = The file to be
'         copied with its
'         full path.
' destfile$ = The name of
'             the file and
'             its path.

DECLARE SUB DLS.FileCopy (file$, destfile$)

'***************************
'DLS.Chart
'***************************
'Displays a pie chart on the
'screen for a diagram or
'presentation.
'
' x% = The X coordinate.
' y% = The Y coordinate.
' radius = The radius of the
'          pie chart.
' start% = The start of the
'          section of the
'          chart. (0-100)
' endp% = The end of the
'         section of the
'         chart. (0-100)
' title$ = The title to be
'          displayed with
'          the section.
' colr% = The color of the
'         pie section.
' border% = The color of the
'           border of the
'           pie chart.

DECLARE SUB DLS.Chart (x%, y%, radius, start%, endp%, title$, colr%, border%)